Comment 5 for bug 1785230

Didier Raboud (odyx) wrote :

We have the same issue in Debian, which forces us to use an hplip amputed away from libImageProcessor. It's a serious move away from OpenSource, and specifically hinders our ability to ship hplip outside of only i386 and amd64 architectures. See https://buildd.debian.org/status/package.php?p=hplip&suite=experimental Up until 3.18.6, hplip was installable in non-x86_* architectures such as arm, mips or s390.

Please seriously reconsider this, or split hplip in two, with a working fully-opensource hplip and an "hplip-nonfree" to enable features that HP doesn't want to opensource (and/or which are limited to specific architectures).